> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Transaction Details V1

> Returns full details for a transaction by ID, including status, amounts, fees, and settlement data. The populated fields vary based on the transaction type.

<Warning>
  For **CRYPTO\_DEPOSIT** and **CRYPTO\_WITHDRAWAL** transaction types, you must use [Fetch Transaction Details V2](/api-reference/transactions/fetch-transaction-details-v2). We also recommend migrating all transaction detail lookups to V2, as V1 will be deprecated soon.
</Warning>


## OpenAPI

````yaml GET /v1/transactions/{transaction_id}
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specification
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v1/transactions/{transaction_id}:
    get:
      tags:
        - Transactions
      summary: Fetch Transaction Details V1
      description: >-
        Returns full details for a transaction by ID, including status, amounts,
        fees, and settlement data. The populated fields vary based on the
        transaction type.
      operationId: getTransactionById
      parameters:
        - name: transaction_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          example: 7f0124cd-6845-47d3-8b39-43f80cd50274
      responses:
        '200':
          description: Transaction details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        example: 7f0124cd-6845-47d3-8b39-43f80cd50274
                      transaction_type:
                        type: string
                        enum:
                          - ONRAMP
                          - OFFRAMP
                          - CRYPTO_WITHDRAWAL
                          - CRYPTO_DEPOSIT
                        example: OFFRAMP
                      customer_id:
                        type: string
                        format: uuid
                        nullable: true
                        example: null
                      beneficiary_id:
                        type: string
                        format: uuid
                        example: e6200609-1ebb-41bb-a4d3-fd9e3bae8419
                      hash:
                        type: string
                        example: >-
                          796b21c4412f1208918cf744e38b62c95aa55674baf62a0a3b8b189c212d0b7e
                      transaction_ref_id:
                        type: string
                        nullable: true
                        example: 7f0124cd-6845-47d3-8b39-43f80cd50274
                      status:
                        type: string
                        enum:
                          - PENDING
                          - PROCESSING
                          - COMPLETED
                          - FAILED
                          - REFUNDED
                        example: COMPLETED
                      batch_info:
                        type: object
                        nullable: true
                        example: null
                      from_amount:
                        type: number
                        example: 1.1
                      payout_amount:
                        type: number
                        example: 94.919
                      processing_amount:
                        type: number
                        example: 1.1
                      from_currency:
                        type: string
                        example: USD
                      payout_currency:
                        type: string
                        example: INR
                      fx_rate:
                        type: number
                        example: 86.29
                      developer_fee:
                        type: number
                        example: 1.25495
                      developer_fee_percentage:
                        type: number
                        example: 0.45
                      developer_fee_fixed:
                        type: number
                        example: 1.25
                      virtual_account_id:
                        type: string
                        nullable: true
                        example: null
                      fiat_details:
                        type: object
                        nullable: true
                        example: null
                      crypto_details:
                        type: object
                        nullable: true
                        example: null
                      fees:
                        type: object
                        nullable: true
                        example: null
                      created_at:
                        type: string
                        format: date-time
                        example: '2026-01-08T08:27:22.345304Z'
                      updated_at:
                        type: string
                        format: date-time
                        example: '2026-01-08T08:27:33.76357Z'
              examples:
                OFFRAMP:
                  summary: OFFRAMP transaction
                  value:
                    data:
                      id: 7f0124cd-6845-47d3-8b39-43f80cd50274
                      transaction_type: OFFRAMP
                      customer_id: null
                      beneficiary_id: e6200609-1ebb-41bb-a4d3-fd9e3bae8419
                      hash: >-
                        796b21c4412f1208918cf744e38b62c95aa55674baf62a0a3b8b189c212d0b7e
                      transaction_ref_id: 7f0124cd-6845-47d3-8b39-43f80cd50274
                      from_amount: 1.1
                      payout_amount: 94.919
                      processing_amount: 1.1
                      status: COMPLETED
                      fx_rate: 86.29
                      developer_fee: 1.25495
                      developer_fee_percentage: 0.45
                      developer_fee_fixed: 1.25
                      from_currency: USD
                      payout_currency: INR
                      virtual_account_id: null
                      batch_info: null
                      fiat_details: null
                      crypto_details: null
                      fees: null
                      created_at: '2026-01-08T08:27:22.345304Z'
                      updated_at: '2026-01-08T08:27:33.76357Z'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          description: Transaction not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: TRANSACTION_NOT_FOUND
                      message:
                        type: string
                        example: The requested transaction could not be found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: INTERNAL_SERVER_ERROR
                      message:
                        type: string
                        example: >-
                          An unexpected error occurred while processing your
                          request
      security:
        - bearerAuth: []
components:
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````